/** \file OTBookPurge.h
*   \brief OTBookPurge class definition.
*
*   Copyright (C) 2004,2005 Opentick corporation. All rights reserved.
*/

#ifndef _OT_BOOK_PURGE_H
#define _OT_BOOK_PURGE_H

#include "OTDef.h"
  
  /// <summary>
  /// Clear all orders for the ECN.
  /// </summary>
  class   OTBookPurge 
  {
    public:
      /// <summary> Default constructor. </summary>
      OTBookPurge();

      /// <summary> Destructor. </summary>
      ~OTBookPurge();

      /// <returns>ID of the appropriate request.</returns>
      int   getRequestId();

      /// <returns>Time when the event occurred.</returns>
      int   getTimestamp();      

      /// <returns>ECN name root.</returns>
      char *getExchangeNameRoot();

      /// <summary>
      /// Sets ID of the appropriate request.
      /// </summary>
      /// <param name="requestId">ID of the appropriate request.</param>
      void setRequestId (int requestId);

      /// <summary>Sets time of the event.</summary>
      /// <param name="timestamp">Time when the event occurred.</param>
      void setTimestamp (int timestamp);

      /// <summary>
      /// Sets ECN name root.
      /// </summary>
      /// <param name="exchangeNameRoot">ECN name root.</param>
      void setExchangeNameRoot (char *exchangeNameRoot);
      
    private:
      OTBookPurge (const OTBookPurge &);
      OTBookPurge & operator = (const OTBookPurge &);

      int   requestId;
      int   timestamp;
      char *exchangeNameRoot;
  };


#endif
