/** \file OTMessage.h
*   \brief OTMessage class definition.
*
*   Copyright (C) 2004,2005 Opentick corporation. All rights reserved.
*/

#ifndef _OT_MESSAGE_H
#define _OT_MESSAGE_H

#include "OTDef.h"
  

  /// <summary>
  /// Provides various messages.
  /// </summary>
  class   OTMessage 
  {
    public:
      /// <summary> Default constructor </summary>
      OTMessage();

      /// <summary> Destructor </summary>
      ~OTMessage();

      /// <returns>ID of the request which caused the message.</returns>
      int   getRequestId();

      /// <returns>Message code.</returns>
      int   getCode();

      /// <returns> Description of the message. </returns>
      char *getDescription();
      
      /// <summary>
      /// Sets ID of the appropriate request.
      /// </summary>
      /// <param name="requestId">ID of the appropriate request.</param>
      void setRequestId (int requestId);

      /// <summary>
      /// Sets message code.
      /// </summary>
      /// <param name="code">Message code.</param>
      void setCode (int code);

      /// <summary>
      /// Sets description of the message.
      /// </summary>
      /// <param name="description">Description of the message.</param>
      void setDescription (char *description);

    private:
      OTMessage (const OTMessage &);
      OTMessage & operator = (const OTMessage &);

      int   requestId;
      int   code;
      char *description;
  };


#endif
