/** \file OTSocket.h
*   \brief OTSocket class definition.
*
*   Copyright (C) 2004,2005 Opentick corporation. All rights reserved.
*/


#ifndef _OT_SOCKET_H
#define _OT_SOCKET_H

#include "Socket.h"
#include "Threads.h"


  /** This class is used to communicate with the server via socket. \n
  *   It is used by the OTClient class to:
  *   - set parameters of the host;
  *   - connect to the server;
  *   - close connection;
  *   - send OT message to the server;
  *   - receive OT message from the server.
  */
  class OTSocket 
  {
    public:
      OTSocket ();
      virtual ~OTSocket();
      void setHost (char *ipAddress, int portNum);
      void connect (int &status);
      void deconnect ();
      void sendMessage (int &status, char *msg, int len);
      void receiveMessage (int &status, char * &msg, int &len);
      bool isValid();

    private:
      CriticalSection  csSendMessage;
      Socket *socket;
      char   *ipAddress;
      int     portNum;
      bool    valid;
  };


#endif
